> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/authentication/update-user-profile/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Update the user profile for the active user PUT https://example.itential.io/profile/update Content-Type: application/json Updates the user profile for the active user. Reference: https://docs.itential.com/itential-cloud/api-reference/authentication/update-user-profile ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `username` (string, required) — Username for account - `email` (string, optional) — Email for user ## Response ### 200 Updated account document for current user - `provenance` (string, required) — AAA provider where account originated - `username` (string, required) — Username for account - `firstname` (string, required) — The user's first name - `memberOf` (list of object, required) — Groups which this account is a part of - `aaaManaged` (boolean, optional) — Whether group comes from an external AAA or not - `groupId` (string, optional) — String representation of a MongoDB ObjectId - `assignedRoles` (list of object, required) — Roles assigned to this account - `roleId` (string, optional) — String representation of a MongoDB ObjectId - `inactive` (boolean, required) — Setting for whether account is active or not - `gitTokens` (object, required) — Tokens used when interacting with Git APIs and features - `GitHub` (string, optional) — Personal access token for GitHub - `GitLab` (string, optional) — Personal access token for GitLab - `lastLogin` (string, optional) — Date and time when the user last logged in - `sso` (boolean, optional) — Whether this is an SSO user - `nameID` (string, optional) — DEPRECATED: Identifier for SSO account. - `_meta` (object, optional) - `created` (string, optional) — When the account was created - `updated` (string, optional) — When the account was last updated - `email` (string, optional) — Email for user - `isServiceAccount` (boolean, optional) — Value denoting if an account does not reflect a human user - `loggedIn` (boolean, optional) — Property used in the getAccounts API to indicate a user is currently logged in ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json { "username": "john_doe" } ``` **Response** ```json { "provenance": "Local AAA", "username": "john_doe", "firstname": "John", "memberOf": [ { "aaaManaged": true, "groupId": "5cb7b531d06cceb89fd21b1c" } ], "assignedRoles": [ { "roleId": "5cb7b531d06cceb89fd21b1c" } ], "inactive": true, "gitTokens": { "GitHub": "string", "GitLab": "string" }, "lastLogin": "2018-08-02T15:56:12.912Z", "sso": true, "nameID": "string", "_meta": { "created": "2018-08-02T15:56:12.912Z", "updated": "2018-08-02T15:56:12.912Z" }, "email": "name@email.com", "isServiceAccount": true, "loggedIn": true } ``` **SDK Code** ```python import requests url = "https://example.itential.io/profile/update" payload = { "username": "john_doe" } headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/profile/update'; const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"username":"john_doe"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/profile/update" payload := strings.NewReader("{\n \"username\": \"john_doe\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/profile/update") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"username\": \"john_doe\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://example.itential.io/profile/update") .header("Content-Type", "application/json") .body("{\n \"username\": \"john_doe\"\n}") .asString(); ``` ```php request('PUT', 'https://example.itential.io/profile/update', [ 'body' => '{ "username": "john_doe" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/profile/update"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"username\": \"john_doe\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["username": "john_doe"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/profile/update")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```